import { Suspense } from "react";
import { ShopProductGridSkeleton } from "@/components/shop/state/ShopProductGridSkeleton";

export default function ShopLayout({
  children,
}: {
  children: React.ReactNode;
}) {
  return (
    <Suspense fallback={<ShopProductGridSkeleton />}>{children}</Suspense>
  );
}
